# -*- coding: utf-8 -*-
# $Id: dashboard.py 179 2010-02-27 18:54:47Z urzenia $
#
# Blip! (http://blip.pl) communication library.
# Author: Marcin Sztolcman <marcin /at/ urzenia /dot/ net>
# Version: 0.02.05
# Copyright: (r) 2009 Marcin Sztolcman
# License: http://opensource.org/licenses/gpl-license.php GNU Public License v.2

from _utils import arr2qstr

def read (user=None, since_id=None, include=None, limit=10, offset=0):
    """ Get statuses, notices and other messages from users dashborad. """

    if user:
        url = '/users/' + user + '/dashboard'
    else:
        url = '/dashboard'

    if since_id:
        url += '/since/' + str (since_id)

    params = dict ()

    if limit:
        params['limit']     = limit
    if offset:
        params['offset']    = offset
    if include:
        params['include']   = ','.join (include)

    if params:
        url += '?' + arr2qstr (params)

    return dict (
        url     = url,
        method  = 'get',
    )

