# -*- coding: utf-8 -*-
# $Id: picture.py 169 2010-02-27 18:46:16Z urzenia $
#
# Blip! (http://blip.pl) communication library.
# Author: Marcin Sztolcman <marcin /at/ urzenia /dot/ net>
# Version: 0.02.05
# Copyright: (r) 2009 Marcin Sztolcman
# License: http://opensource.org/licenses/gpl-license.php GNU Public License v.2

from _utils import arr2qstr

def read (id=None, include=None, since_id=False, limit=10, offset=0):
    """ Get info about picture from specified picture. """

    if since_id:
        url = '/pictures/' + str (since_id) + '/all_since'
    elif id:
        url = '/updates/' + str (id) + '/pictures'
    else:
        url = '/pictures/all'

    params = dict ()

    if limit:
        params['limit']     = limit
    if offset:
        params['offset']    = offset
    if include:
        params['include']   = ','.join (include)

    if params:
        url += '?' + arr2qstr (params)

    return dict (
        url     = url,
        method  = 'get',
    )

